<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('we_chat_pay_logs', function (Blueprint $table) {
      $table->id();
      $table->string('out_trade_no', 100)->index();
      $table->text('post_data');
      $table->text('params');
      $table->longText('callback')->nullable();
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('we_chat_pay_logs');
  }
};
